# $Revision: 1.92 $, $Date: 2011/03/23 16:44:45 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	GnomeCanvas widget
Summary(pl.UTF-8):	Widget GnomeCanvas
Name:		libgnomecanvas
Version:	2.30.3
Release:	2
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/2.30/%{name}-%{version}.tar.bz2
# Source0-md5:	ffcbb719c671ff5cd86e59aeba8d0b92
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gail-devel >= 1.20.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.12.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	intltool >= 0.36.2
BuildRequires:	libart_lgpl-devel >= 2.3.19
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libtool
BuildRequires:	perl-base >= 5.002
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	sed >= 4.0
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The canvas widget allows you to create custom displays using stock
items such as circles, lines, text, and so on. It was originally a
port of the Tk canvas widget but has evolved quite a bit over time.

%description -l pl.UTF-8
Widget canvas pozwala tworzyć własne widoki przy użyciu zgromadzonych
rzeczy takich jak koła, linie, tekst itp. Oryginalnie był to port
widgetu Tk canvas, ale od tamtego czasu nieco wyewoluował.

%package devel
Summary:	libgnomecanvas header files
Summary(pl.UTF-8):	Pliki nagłówkowe libgnomecanvas
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gail-devel >= 1.20.0
Requires:	gtk+2-devel >= 2:2.12.0
Requires:	libart_lgpl-devel >= 2.3.19
Requires:	libglade2-devel >= 1:2.6.2

%description devel
Development part of libgnomecanvas - header files.

%description devel -l pl.UTF-8
Część libgnomecanvas dla programistów - pliki nagłówkowe.

%package static
Summary:	Static libgnomecanvas library
Summary(pl.UTF-8):	Statyczna biblioteka libgnomecanvas
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of libgnomecanvas library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libgnomecanvas.

%package apidocs
Summary:	libgnomecanvas API documentation
Summary(pl.UTF-8):	Dokumentacja API libgnomecanvas
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgnomecanvas API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgnomecanvas.

%package examples
Summary:	libgnomecanvas - example programs
Summary(pl.UTF-8):	libgnomecanvas - przykładowe programy
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description examples
libgnomecanvas - example programs.

%description examples -l pl.UTF-8
libgnomecanvas - przykładowe programy.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	--enable-glade
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp demos/*.{c,h,png} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# no static modules and *.la for glade modules
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}  \
	$RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgnomecanvas-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomecanvas-2.so.0
%attr(755,root,root) %{_libdir}/libglade/2.0/libcanvas.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomecanvas-2.so
%{_includedir}/libgnomecanvas-2.0
%{_pkgconfigdir}/libgnomecanvas-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecanvas-2.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libgnomecanvas

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomecanvas.spec,v $
Revision 1.92  2011/03/23 16:44:45  wiget
- drop libtool file
- en@shaw is usable now
- rel. 2

Revision 1.91  2011/02/25 08:41:28  caleb
- Up to 2.30.3

Revision 1.90  2011/02/05 01:12:25  sparky
- corrected lang tag in %description

Revision 1.89  2010/09/30 19:32:14  megabajt
- updated to 2.30.2

Revision 1.88  2010/06/03 12:02:21  baggins
- rel 2

Revision 1.87  2010/04/01 19:32:53  megabajt
- updated to 2.30.1

Revision 1.86  2010/02/26 21:32:24  hawk
- release 3

Revision 1.85  2009/11/28 01:35:27  sparky
- BR: docbook-dtd412-xml

Revision 1.84  2009/06/17 14:44:41  hawk
- release 2

Revision 1.83  2009/03/18 13:52:35  patrys
- 2.26.0

Revision 1.82  2008/11/08 16:23:44  megabajt
- ghost soname symlink
- release 3

Revision 1.81  2007/11/30 16:34:06  megabajt
- sr@Latn -> sr@latin
- release 2

Revision 1.80  2007-10-30 15:41:50  megabajt
- updated to 2.20.1.1

Revision 1.79  2007/10/13 18:15:29  megabajt
- updated to 2.20.1

Revision 1.78  2007/09/19 18:59:51  qboosh
- more verbose files
- LGPL v2+

Revision 1.77  2007/09/18 13:21:10  megabajt
- updated to 2.20.0

Revision 1.76.2.1  2007/08/28 08:43:33  megabajt
- updated to 2.19.2
- added apidocs and examples subpackages

Revision 1.76  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.75  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.74  2006/11/28 14:36:37  megabajt
- release 5 (rebuild with P: *.la)

Revision 1.73  2006/07/12 18:04:48  freetz
- rel.4, updated deps --as-needed support

Revision 1.72  2006/07/09 15:10:24  pluto
- release 3 for kill libpng12.la deps.

Revision 1.71  2006/06/07 14:47:25  freetz
- rel.2, bleeding edge deps, refresh gtk-doc.make

Revision 1.70  2006/04/01 20:54:40  freetz
- merged from DEVEL

Revision 1.67.2.2  2006/03/13 13:51:15  freetz
- 2.14.0

Revision 1.67.2.1  2006/01/18 22:42:19  freetz
- 2.13.0

Revision 1.69  2006/02/25 17:16:45  qboosh
- unified

Revision 1.68  2006/02/23 21:53:00  adgor
- apidocs bcond

Revision 1.67  2005/09/06 10:19:43  aflinta
- merged from DEVEL, 2.12.0

Revision 1.66.2.3  2005/08/23 11:45:54  paladine
- updated to 2.11.2
- sorted %%files

Revision 1.66.2.2  2005/08/18 15:43:41  wiget
- rebuild with new cairo, rel 2

Revision 1.66.2.1  2005/07/03 15:34:05  freetz
- 2.11.1

Revision 1.66  2005/06/05 10:18:42  freetz
- small typo

Revision 1.65  2005/06/05 10:14:37  freetz
- 2.10.2, dropped hotfix patch

Revision 1.64  2005/05/23 06:05:24  freetz
- added workaround for 'bug fixes' in this release, rel.2

Revision 1.63  2005/05/20 13:18:27  paladine
- updated to 2.10.1

Revision 1.62  2005/05/11 01:25:26  pluto
- release 3 for Th.

Revision 1.61  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.60  2005/04/10 17:00:16  freetz
- new style macros, rel.2

Revision 1.59  2005/03/07 22:40:48  paladine
- merged from DEVEL

Revision 1.58.2.3  2005/03/07 20:01:24  wiget
- updated to 2.10.0

Revision 1.58.2.2  2005/03/01 13:12:45  paladine
- updated to 2.9.2

Revision 1.58.2.1  2005/02/06 22:39:00  grzegol
- updated to 2.9.1

Revision 1.58  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.57  2004/09/15 18:24:38  grzegol
- in gnome-common-2.8.0 all macros are in %%{_aclocaldir}, not in
  %%{_aclocaldir}/gnome2-macros, so remove -I %%{_aclocal}/gnome2-macros from
  %%{__aclocal} args and BR: gnome-common >= 2.8.0

Revision 1.56  2004/09/13 17:31:44  grzegol
- merged from DEVEL and updated to 2.8.0

Revision 1.55  2004/08/16 09:23:22  krzak
- rel 2 - rebuild with new XFree86

Revision 1.54.2.4  2004/08/30 15:24:34  grzegol
- updated to 2.7.92
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.54.2.3  2004/08/16 20:19:42  aflinta
- up to version 2.7.91

Revision 1.54.2.2  2004/07/01 14:04:24  grzegol
- added BR: gtk+2-devel

Revision 1.54.2.1  2004/06/05 15:12:32  freetz
- 2.7.1 - gnome 2.8 developement series

Revision 1.54  2004/04/20 22:40:57  aflinta
- up to version 2.6.1.1

Revision 1.53  2004/04/19 23:12:19  grzegol
- updated to 2.6.1

Revision 1.52  2004/03/23 00:30:24  qboosh
- added libglade2 epoch (but ver 2.0.0 - 2.4.0 not released yet and not needed)

Revision 1.51  2004/03/22 09:08:06  aflinta
- merged from DEVEL, up to version 2.6.0

Revision 1.50  2003/12/27 18:29:51  qboosh
- removed unused *.la for glade module; release 3

Revision 1.49.2.8  2004/03/16 10:57:56  grzegol
- updated to 2.5.92

Revision 1.49.2.7  2004/03/09 20:43:53  grzegol
- updated to 2.5.91
- strict internal deps

Revision 1.49.2.6  2004/02/24 14:44:04  aflinta
- up to version 2.5.90

Revision 1.49.2.5  2004/02/03 13:07:00  grzegol
- updated to 2.5.4

Revision 1.49.2.4  2004/01/14 10:54:44  trojan
- updated to 2.5.3

Revision 1.49.2.3  2003/12/29 10:08:32  trojan
- updated to 2.5.2

Revision 1.49.2.2  2003/12/09 14:24:15  wiget
- 2.5.1

Revision 1.49.2.1  2003/11/25 15:38:13  wiget
- 2.5.0

Revision 1.49  2003/09/19 06:59:02  qrczak
- Revert last change, gnome-common was required.

Revision 1.48  2003/09/18 18:09:16  qrczak
- There is no gnome-common in gnome-2.4.
- Release 2.

Revision 1.47  2003/09/01 14:50:04  grzegol
- updated to 2.4.0

Revision 1.46  2003/08/25 22:05:15  grzegol
- updated to 2.3.7

Revision 1.45  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.44  2003/08/12 04:40:24  aflinta
- veersion 2.3.6

Revision 1.43  2003/07/09 12:36:26  qboosh
- added -devel deps, removed xft-devel from BR (used only indirectly)

Revision 1.42  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.41  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/05/12 20:07:14  aflinta
- cleanups, release 2

Revision 1.39  2003/05/12 11:04:12  qboosh
- removed static modules
- moved non-devel docs to base

Revision 1.38  2003/04/28 19:20:02  djrzulf
- added BR: xft-devel

Revision 1.37  2003/03/27 17:59:37  aflinta
- updated to version 2.3.0

Revision 1.36  2003/02/28 15:24:56  aflinta
- updated to version 2.2.0.2

Revision 1.35  2003/02/09 15:46:59  radek
- BR: gtk-doc

Revision 1.34  2003/01/23 16:12:41  aflinta
- updated to version 2.2.0.1

Revision 1.33  2003/01/22 05:29:46  aflinta
- updated to version 2.2.0

Revision 1.32  2003/01/14 07:25:43  trojan
- fixed %%files (no need 755 for *.la)

Revision 1.31  2003/01/08 10:29:09  aflinta
- updated to version 2.1.90

Revision 1.30  2002/12/16 18:20:03  aflinta
- updated to version 2.1.5

Revision 1.29  2002/12/09 23:20:47  aflinta
- updated to version 2.1.4

Revision 1.28  2002/12/04 19:21:59  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 2

Revision 1.27  2002/11/28 17:19:13  aflinta
- updated to version 2.1.1

Revision 1.26  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/24 09:53:25  malekith
- release 2

Revision 1.24  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/09/27 22:28:32  aflinta
- updated to version 2.1.0

Revision 1.22  2002/09/04 23:40:06  aflinta
- updated to version 2.0.4

Revision 1.21  2002/08/29 12:56:59  aflinta
- release 2

Revision 1.20  2002/08/29 11:44:31  aflinta
- updated BR

Revision 1.19  2002/08/29 09:38:37  kura
- Version:       2.0.3

Revision 1.18  2002/08/15 01:49:23  michuz
- updated to 2.0.2

Revision 1.17  2002/07/02 12:44:36  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.16  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.15  2002/06/12 10:39:03  wiget
updated to 2.0.1

Revision 1.14  2002/06/10 12:04:25  wiget
- updated to 2.0.0
- move gtk-doc to proper place
- add missing libglade modules

Revision 1.13  2002/05/22 15:22:30  kloczek
- added gtk-doc patch to autoconf for handle disable/enable using gtk-doc
  like in other gnome 2.x projects,
- use new %doc packing infrastructure,
- added regenerate ac/am/lt files.

Revision 1.12  2002/05/14 17:12:58  michuz
- added BR
- fixed %%files

Revision 1.11  2002/05/14 16:18:21  michuz
- updated %%files

Revision 1.10  2002/05/14 14:40:16  wiget
update to 1.117.0

Revision 1.9  2002/04/30 13:20:06  michuz
- 1.116.0

Revision 1.8  2002/04/26 15:16:52  michuz
- updated to 1.115.0

Revision 1.7  2002/04/14 09:52:23  michuz
- fixed BR

Revision 1.6  2002/04/14 09:48:00  michuz
- updated to 1.114.0

Revision 1.5  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/29 09:36:43  qboosh
- fixed -devel Group, added -static preamble and pl translation

Revision 1.3  2002/01/28 12:46:43  ankry
- updated to 1.109.0 (1.108.0.90 does not exist on ftp.gnome.org)

Revision 1.2  2002/01/28 04:17:31  kloczek
- partialy rewrited but NYF.

Based on spec from RH.
